weka.core.pmml

## Class FieldRef

- java.lang.Object
- - weka.core.pmml.Expression
  - - weka.core.pmml.FieldRef

- All Implemented Interfaces:
    java.io.Serializable

      public class FieldRef
      extends Expression

  Class encapsulating a FieldRef Expression. Is simply a pass-through to an existing field.
  Version:
    $Revision 1.0 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldRef(org.w3c.dom.Element fieldRef, FieldMetaInfo.Optype opType, java.util.ArrayList<Attribute> fieldDefs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attribute` | `getOutputDef()` Return the structure of the result of applying this Expression as an Attribute.
    `double` | `getResult(double[] incoming)` Get the result of evaluating the expression.
    `java.lang.String` | `getResultCategorical(double[] incoming)` Gets the result of evaluating the expression when the optype is categorical or ordinal as the actual String value.
    `void` | `setFieldDefs(java.util.ArrayList<Attribute> fieldDefs)` Set the field definitions for this Expression to use
    `java.lang.String` | `toString(java.lang.String pad)`

    - ### Methods inherited from class weka.core.pmml.Expression

      `getExpression, getExpression, getFieldDef, getFieldDefIndex, getOptype, getResultContinuous, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldRef

          public FieldRef(org.w3c.dom.Element fieldRef,
                  FieldMetaInfo.Optype opType,
                  java.util.ArrayList<Attribute> fieldDefs)
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### setFieldDefs

          public void setFieldDefs(java.util.ArrayList<Attribute> fieldDefs)
                            throws java.lang.Exception

      Description copied from class: `Expression`
      Set the field definitions for this Expression to use
      Overrides:
        `setFieldDefs` in class `Expression`
      Parameters:
        `fieldDefs` - the field definitions to use
      Throws:
        `java.lang.Exception` - if there is a problem setting the field definitions

    - #### getResult

          public double getResult(double[] incoming)
                           throws java.lang.Exception

      Description copied from class: `Expression`
      Get the result of evaluating the expression. In the case of a continuous optype, a real number is returned; in the case of a categorical/ordinal optype, the index of the nominal value is returned as a double.
      Specified by:
        `getResult` in class `Expression`
      Parameters:
        `incoming` - the incoming parameter values
      Returns:
        the result of evaluating the expression
      Throws:
        `java.lang.Exception` - if there is a problem computing the result

    - #### getResultCategorical

          public java.lang.String getResultCategorical(double[] incoming)
                                                throws java.lang.Exception

      Description copied from class: `Expression`
      Gets the result of evaluating the expression when the optype is categorical or ordinal as the actual String value.
      Specified by:
        `getResultCategorical` in class `Expression`
      Parameters:
        `incoming` - the incoming parameter values
      Returns:
        the result of evaluating the expression
      Throws:
        `java.lang.Exception` - if the optype is continuous

    - #### getOutputDef

          public Attribute getOutputDef()

      Return the structure of the result of applying this Expression as an Attribute.
      Returns:
        the structure of the result of applying this Expression as an Attribute.

    - #### toString

          public java.lang.String toString(java.lang.String pad)

      Overrides:
        `toString` in class `Expression`